/*
This file is part of libmspframework
Copyright © 2006  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifndef MSP_FRAMEWORK_TYPES_H_
#define MSP_FRAMEWORK_TYPES_H_

#ifdef WIN32
#include <windows.h>
#else
#include <pthread.h>
#endif

namespace Msp {

#ifdef WIN32
typedef HANDLE ThreadHandle;
typedef HANDLE MutexHandle;
#else
typedef pthread_t ThreadHandle;
typedef pthread_mutex_t MutexHandle;
#endif

} // namespace Msp

#endif
