/*
This file is part of libmspframework     
Copyright © 2006  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/
#ifndef MSP_TIME_UTILS_H_
#define MSP_TIME_UTILS_H_

namespace Msp {
namespace Time {

class TimeDelta;
class TimeStamp;

extern TimeStamp now();
extern TimeDelta get_cpu_time();
extern int sleep(const TimeDelta &);

} // namespace Time
} // namespace Msp

#endif
